Search the catalog (~5M apps in both stores) by app name or id.
curl --request GET \
--url https://api.appgoat.ai/v1/search \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.appgoat.ai/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.appgoat.ai/v1/search"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"store": "apple",
"app_id": "<string>",
"title": "<string>",
"developer_name": "<string>",
"icon_url": "<string>",
"category": "<string>",
"rating": 123,
"ratings_count": 123,
"installs_min": 123,
"price": 123
}
],
"meta": {
"credits_used": 123,
"credits_remaining": 123,
"request_id": "<string>",
"freshness": {
"fetched_at": "2023-11-07T05:31:56Z",
"age_seconds": 123,
"stale": true,
"refreshing": true,
"job_id": "<string>"
},
"next_cursor": "<string>",
"store": "apple",
"warnings": [
"<string>"
]
}
}{
"error": {
"code": "invalid_param",
"message": "limit must be ≤ 100",
"hint": "Fix the parameter and retry.",
"docs": "https://appgoat.ai/docs/errors#invalid_param",
"param": "limit"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"hint": "<string>",
"docs": "<string>",
"param": "<string>"
}
}Search & charts
Search apps
Exact title matches first, then prefix, then substring; most ratings first within each group.
GET
/
search
Search the catalog (~5M apps in both stores) by app name or id.
curl --request GET \
--url https://api.appgoat.ai/v1/search \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.appgoat.ai/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.appgoat.ai/v1/search"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"store": "apple",
"app_id": "<string>",
"title": "<string>",
"developer_name": "<string>",
"icon_url": "<string>",
"category": "<string>",
"rating": 123,
"ratings_count": 123,
"installs_min": 123,
"price": 123
}
],
"meta": {
"credits_used": 123,
"credits_remaining": 123,
"request_id": "<string>",
"freshness": {
"fetched_at": "2023-11-07T05:31:56Z",
"age_seconds": 123,
"stale": true,
"refreshing": true,
"job_id": "<string>"
},
"next_cursor": "<string>",
"store": "apple",
"warnings": [
"<string>"
]
}
}{
"error": {
"code": "invalid_param",
"message": "limit must be ≤ 100",
"hint": "Fix the parameter and retry.",
"docs": "https://appgoat.ai/docs/errors#invalid_param",
"param": "limit"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"hint": "<string>",
"docs": "<string>",
"param": "<string>"
}
}Authorizations
Create a key at https://dash.appgoat.ai.
Query Parameters
App name (≥ 2 characters) or exact id.
Example:
"photo editor"
Available options:
apple, play Store category name, e.g. Photo & Video (App Store) or PHOTOGRAPHY (Play).
Required range:
1 <= x <= 100meta.next_cursor from the previous page.
Comma list of top-level fields to return (identifiers are always kept), e.g. title,rating,version.